Get PMP deal by ID - DEPRECATED

Returns details of a PMP deal by internal Viant ID.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request

GET /deal/getDeal?id=<Viant deal ID>

JSON Fields Type Description
messages Object Array An array of any error messages.
messages[].level String Error level.
messages[].code String Error code.
messages[].message String Error message.
entity Object Array A deal object.
entity.id Number The internal Viant deal ID.
entity.advertiserId Number The advertiser ID. If null, the deal is accessible to the entire account.
entity.exchangeId Number The Viant exchange ID.
entity.dealId String The exchange provided deal ID.
entity.name String The deal name.
entity.description String The deal description.

Example

Request

curl -u \<user>:\<password> https\://sandbox-api.viant.com/v1/deal/getDeal?id=5656

Response

{
  "messages": [],
  "entity": {
    "id": 5656,
    "advertiserId": 999,
    "exchangeId": 3,
    "dealId": "XYZ-abc",
    "name": "Sports Site",
    "description": "Some amazing sports inventory."
  }
}
Query Params
int32
required
Responses

401

Unauthorized

403

Forbidden

404

Not Found

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json